Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::AcyclicTest Class Reference
Graph_test

Class for testing if the graph is acyclic. More...

`#include <AcyclicTest.h>`

Inheritance diagram for tlp::AcyclicTest:
[legend]
Collaboration diagram for tlp::AcyclicTest:
[legend]

List of all members.

## Static Public Member Functions

- static bool isAcyclic (const Graph *graph)
- static void makeAcyclic (Graph *graph, std::vector< edge > &reversed, std::vector< tlp::SelfLoops > &selfLoops)
- static bool acyclicTest (const Graph *, std::vector< edge > *obstructionEdges=NULL)

## Detailed Description

Class for testing if the graph is acyclic.

## Member Function Documentation

static bool tlp::AcyclicTest::isAcyclic | ( | const Graph * | graph | ) | `[static]`

Returns true if the graph is acyclic, false otherwise. The result is cached (ie. the next call with the same graph is done in O(1) time)

Tulip Software by LaBRI Visualization Team 2001 - 2012